Create Vagrant env
Closed, ResolvedPublic2 Story Points

Description

As a developer,
I want to test if my playbooks do what they're supposed to do,
so that me and others can test my playbooks before they are applied to production servers

Acceptance Criteria:

  • A Vagrantfile in our infrastructure repository that can spin up a VM (with the corresponding Ubuntu version) for each of your roles outlined in servers.ini. Each machine should have a fixed IP in a local, private network.
  • an alternative servers.inifor the Vagrant environment. Use the vagrant user and its private key (e.g. ansible_ssh_private_key_file=.vagrant/machines/default/virtualbox/private_key)
  • A description in the README how to invoke ansible_playbook in the test environment.

Background:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2017, 1:29 PM
gabriel-wmde set the point value for this task to 2.May 10 2017, 1:30 PM
gabriel-wmde updated the task description. (Show Details)May 10 2017, 3:44 PM
gabriel-wmde updated the task description. (Show Details)May 11 2017, 8:28 AM
gabriel-wmde moved this task from Todo to Doing on the WMDE-Fundraising-Sprint-3 board.
gabriel-wmde claimed this task.
Pablo-WMDE closed this task as Resolved.May 31 2017, 1:51 PM